function p_out = align_patterns(p_in,N,offsets);

% align_patterns -- take a pattern and apply scale dependent offsets
%
% Usage
%	 p_out = align_patterns(p_in,N,offsets);
%
% Inputs
%  p_in		input pattern (see dstat_pattern.m for structure)
%  N		length of associated periodic signal
%  offset	vector of offsets (see swt_offsets.m)
%
% Outputs
%  p_out	shifted pattern
%
% Uses
%  modulo_add






	M = length(offsets)-1;
        p_out = p_in;

        for m = 1:M;
         use_ind = find(p_in(:,1) == m);
         if ~isempty(use_ind)
           p_out(use_ind,2) = modulo_add(p_in(use_ind,2),N,offsets(m+1));
         end
        end

         use_ind = find(p_in(:,1) == M+1);
         if ~isempty(use_ind)
           p_out(use_ind,2) = modulo_add(p_in(use_ind,2),N,offsets(1));
         end



% Copyright (c) 1998 Thomas T. Liu

