% Plot UDWT of C2 scaling function and Gaussian and show
% matching pattern coefficients for both.
%
% uses: coifwavf, makegauss, FWT_TI, TI2Stat, swt_offsets,
%       align_patterns, align_stat, makephi, plot_swt, wsetup_axes



  load c2patg10;
  load gapatg10;


  N = 2^14;
  K = 7;
  M = 10;
  J = log2(N);
  L = J-M;
  
  qmf = sqrt(2)*coifwavf('coif2');


  eval(['scf =  ga_',num2str(K),'sc']);
  phi = scf*makegauss(makephi(qmf,K-1));
  [m,mi] = max(abs(phi));
  philen = length(phi);
  sig = zeros(N,1);
 
  span = (N/2-mi) + (1:philen);
  sig(span) = phi(:);
  sig2 = sig;

  sti = FWT_TI(sig,L,qmf);
  stat = TI2Stat(sti);
  offsets = swt_offsets(qmf,M);
  statout = align_stat(stat,-offsets);
  gspattern = align_patterns(ga_7,N,-offsets);


  phi = makephi(qmf,K-1);
  [m,mi] = max(abs(phi));
  philen = length(phi);
  sig = zeros(N,1);
  span = (N/2-mi) + (1:philen);
  sig(span) = phi(:);
  sti = FWT_TI(sig,L,qmf);
  stat = TI2Stat(sti);
  offsets = swt_offsets(qmf,M);
  statout2 = align_stat(stat,-offsets);
  c2spattern = align_patterns(c2_7,N,-offsets);

  spattern = [c2spattern gspattern];

  [m,mi] = max(sig);
  plot_swt(sig,statout2,spattern,[-2e3 2e3],[5:10],mi-1,0,statout,sig2,12);
  hold off;
  orient portrait;



% Copyright (c) 1998 Thomas T. Liu


