% Make a plot of a sample path
%
%  uses: coifwavf, make_phi, make_1fnoise

	load seedmat;

        N = 2^14;
	gamma = 1;
	h = 1.5;
	fmin = 1e-3;
	fmax = 5;
	Fs = 40;

	qmf = sqrt(2)*coifwavf('coif2');
  	M = 10;K0 = 7;
	K = 7;
	J = log2(N);
	L = J-M;

	weight  = 2^(gamma*(K-K0)/2);


        phi0 = weight*makephi(qmf,K-1);	
        philen = length(phi0);
	[m,mi] = max(abs(phi0));
	d = 5;
        sigamp = d/12.4164;
	phi = phi0*sigamp;
        span = (N/2-mi) + (1:philen);
        randn('seed',seeds(199));

	sig = make_1fnoise(randn(N,1),gamma,h,fmin,fmax,Fs);
        sig0 = sig;
        sig(span) = sig(span) + phi(:);
        phionly = sig-sig0;
	height = max(sig)-min(sig);

	Fs = 1; % plot with normalized frequencies

        plot((1:N)/Fs,[sig phionly-height]);
	axis([1/Fs N/Fs -0.2 0.1]);
	set(gca,'FontSize',14,'FontName','Times');

        
